The BOOST_PP_ITERATION_LIMITS macro is a user-defined named external argument used by BOOST_PP_ITERATE. It denotes the lower and upper bounds of a file-iteration.

#### Usage

#define BOOST_PP_ITERATION_LIMITS (start, finish)

#### Arguments

start
  The lower bound (inclusive) of a file-iteration. Valid values range from 0 to BOOST_PP_LIMIT_ITERATION.
finish
  The upper bound (inclusive) of a file-iteration. Valid values range from 0 to BOOST_PP_LIMIT_ITERATION.

#### Remarks

Note that there is a whitespace character after the macro identifier.
This macro is part of the secondary method of passing arguments to BOOST_PP_ITERATE. The other part is BOOST_PP_FILENAME_x. Both start and finish are evaluated parameters. This implies that they may include simple arithmetic.
This macro is automatically undefined for reuse by a call to BOOST_PP_ITERATE.

#### See Also

- BOOST_PP_FILENAME_x
- BOOST_PP_ITERATE
- BOOST_PP_LIMIT_ITERATION

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)